MAJ de Sarka (STABLE), comment procède t-on ? [résolu]

dimanche 22 septembre 2013 à 18h53
par FaceNux

Logo de FaceNux

Bonsoir,

Encore une question qui me perturbe énergiquement après le parcours sur le site ou je ne trouve pas ma réponse, car j’ai sans aucuns doute loupé le coche !

MErci.


Réponses

22 septembre 2013 à 18h55

Je ne vois pas de quoi tu parles. Peux-tu expliquer quel est le souci ou quel est ton besoin ?

22 septembre 2013 à 18h59

Bonsoir,
Je cherche juste à migré ma version sarka de 3.2.32 vers 3.2.34 :(

22 septembre 2013 à 19h05

Oui c’est un souci, tu ne peux pas le faire avec le chargeur auto de SPIP. Dans ce cas, il faut utiliser la méthode manuelle par FTP en utilisant le zip que tu peux télécharger sur ce site dans la noisette Téléchargements, le lien nommé « Sarka-SPIP 3.2 pour SPIP 3 ».

22 septembre 2013 à 19h56

C’est bien ce que je fais...mais après il ne me propose rien ! comment je lui dit de prendre cette archive ?

22 septembre 2013 à 20h09

Ben c’est dans les plugins inactifs. Mais il faut que tu désactives le plugin Sarka-SPIP d’abord et tu actives le nouveau zip que tu as installé. Ensuite tu peux virer l’ancienne version du squelette de ton ftp.

22 septembre 2013 à 20h15

Mais c’est mon problème, il n’apparaît pas dans les inactifs !!! et la 3.2.32 est déjà désactivée.

22 septembre 2013 à 20h17

Hum, c’est bien étrange. Tu l’as installé dans quel répertoire de ton site ?

22 septembre 2013 à 20h21

En local :
/plugins/auto

22 septembre 2013 à 20h28

Ah ben je vois pas pourquoi tu n’as rien. Sans voir le site je ne peux pas grand chose d’autre.

23 septembre 2013 à 11h54

En faisant un test sur un de mes sous-domaine de prod ca fonctionne très bien, je dois avoir un probleme de droits sur le repertoire de mon local .

24 septembre 2013 à 16h50

Bonjour, en faisant les mises à jours de mes plugins je n’ai pas fait attention et notre SARKA préféré a installé la mise à jour 4. Plantage de mon site http://meteo.lycee-valin.fr
J’ai supprimé le plugin par FTP et j’ai remis la version stable 3.3 mais la le site reste en SPIP sans habillage avec SARKA pourtant il est bien activé.....
Que faire ?

24 septembre 2013 à 22h07

En fait pour une histoire de cache cela ne s’affichait pas par contre plus aucune configuration et mise en page de la version 3.2 tout est à ré faire..... C’est normal ?

28 septembre 2013 à 11h56

Bonjour,

Comme d’autres, j’ai laissé faire la mise à jour automatique des plugins et je me suis retrouvé avec la version non stable 4.3.3 de Sarka-Spip.
J’ai donc réinstallé la 3.3.24 à partir du lien sur le site et j’ai perdu toutes les données de configuration antérieures.

Vu que la version 4 n’est pas stable, n’est-il pas possible d’empêcher qu’elle soit utilisée comme version de mise à jour automatique du plugin ?

Des mises à jour de la version 3.3 sont-elles encore prévues ? Si oui, comme en être averti vu que ce qui est proposé par la mise à jour du plugin est une version 4.x ?

Merci pour vos réponse et encore une fois bravo pour le travail accompli.

Cordialement.

29 septembre 2013 à 14h42

Bonjour
Même problème avec la maj 4.3.3, impossible de revenir à la version antérieure, déclarée obsolète...
Cordialement

29 septembre 2013 à 23h24

Bonjour Patrick,

Il te suffit de désinstaller la version 4.3.3 et tu devrais pouvoir activer la 3.3.24 que tu auras téléchargée du site Sarka-Spip.

Cordialement.

30 septembre 2013 à 09h22

Oui, je suis désolé nous sommes dans une situation délicate quant aux mises à jour. L’outil SVP ne gère pas les branches intermédiaires et cela pose un réel problème quand on a deux branches en cours.

Pour l’instant, il faut faire manuellement les mises à jour de Sarka-SPIP, à l’ancienne avec le FTP, en prenant le zip sur ce site ou sur le site de Plugins SPIP à la page http://plugins.spip.net/sarkaspip.html.

Je vais voir comment je peux résoudre ce souci.

1er octobre 2013 à 19h52

@ jacques83300
Merci Jacques !
Cordialement

3 octobre 2013 à 13h35

Pour info, nous avons changé temporairement le préfixe de la version 4 du squelette ce qui fait que cette version ne sera plus considérée comme une mise à jour de la version 3.

Par contre, il reste que la version 3.3 est toujours proposée en upgrade de la 3.2, ce qui n’est pas grave car elles sont compatibles à quelques personnalisations près. Si vous avez des personnalisations de fichier html avec la 3.2 il se peut que le passage à la 3.3 perturbe ces personnalisations. Mais il est très facile d’adapter ces personnalisations pour le 3.3.
Je ferai un billet à ce propos bientôt.

10 octobre 2013 à 19h28

Bonsoir à vous tous. J’ai, après quelques déboires, réussi à remettre mon site d’aplomb. J4ai un autre site que je prefererai ne pas voir tomber en carafe ( http://lycee-valin.fr ) une mise à jour de SARKA 3.2.32 est proposée, puis-je la faire sans risquer le meme souci ?
merci

14 octobre 2013 à 09h14

Patrick,

Il n’y a pas de rapport entre passer d’une version 3.2.x à 3.2.32 et passer d’une version 3.2 à une version 4.0 qui repense totalement le squelette ainsi que sa configuration.

Donc en faisant ce pas tu as détruit toute ta configuration ce qui t’a amené les déboires dont tu parles sachant que de toute façon ce n’est jamais irréversible vu que la base de données est conservée intacte.

Donc non, tu n’as pas d’angoisse à faire la mise à jour vers 3.2.32 comme d’habitude et je crois pas me rappeler que nous ayons déjà sorti des versions inutilisables pour le plaisir :p.

14 octobre 2013 à 19h40

Merci Eric. Tout fonctionne. Et loin (voire très loin...) de moi l’idée de penser que vous puissiez mettre en ligne des versions inutilisables.
Il faut juste penser aux "simples" utilisateurs comme moi qui ne sont pas des experts et donc ont besoin de gens comme toi pour répondre à des questions, certes naïves et superflues pour des experts comme toi, mais d’une extrême importance pour des "apprentis" comme moi...
Je compte sur les membres de la TEAM pour nous guider lors d’un passage programmé à la branche 4 de cet outil précieux qu’est SARKA


Forum sur abonnement

Pour participer à ce forum, vous devez vous enregistrer au préalable. Merci d’indiquer ci-dessous l’identifiant personnel qui vous a été fourni. Si vous n’êtes pas enregistré, vous devez vous inscrire.

Connexions’inscriremot de passe oublié ?